Tip: WebKit builds for PPC based Macs

Discussion in 'PowerPC Macs' started by Sven11, May 22, 2012.

  1. Sven11 macrumors 6502a

    Sep 25, 2010
    I have a good news for everyone who still uses a PPC based Mac running Mac OS X 10.5 and want to use a modern browser.

    WebKit nightly builds (available from http://www.webkit.org/) only support Intel and Mac OS X 10.6 or higher. But I found a project which is called Leopard WebKit making these builds to run under PPC. (available from http://code.google.com/p/leopard-webkit/)

    It's still just Safari 5.0.6, but with a modern WebKit. I can't guarantee that it works.
  2. Imixmuan macrumors 6502

    Dec 18, 2010
    Its too bad....

    ....that this isn't available for Tiger. Because Leopard on my ibook G4 1.07 ghz was so painful as to defy descrpition.

    Also, don't forget about Omniweb. The Omni group maintains its own (closed) webkit for Omniweb. Last update was in December 2011. Last I checked it still worked with Tiger, and with greasekit many userscripts work as well with Omniweb as they do with Safari. Or iCab. Dementer however doesn't like greasekit and SIMBL.
  3. tayloralmond macrumors 6502

    Mar 26, 2009
    Michigan, USA
    Yep, it (OmniWeb) works for Tiger, and it has PowerPC G3 support as well.
  4. Jessica Lares, May 23, 2012
    Last edited: May 23, 2012

    Jessica Lares macrumors G3

    Jessica Lares

    Oct 31, 2009
    Near Dallas, Texas, USA
    Thanks! I'm going to try this out on my G5 running Leopard. :D

    EDIT: Confirmed to work pretty much the same speed as my current Safari.

Share This Page